{% extends 'layout.html.twig' %}

{% block title %}Procurations {% if event %}pour {{ event.title }}{% endif %} - {{ site_name }}{% endblock %}

{% block breadcrumbs %}
<a href="{{ path('homepage') }}"><i class="material-icons">home</i></a><i class="material-icons">chevron_right</i>
<a href="{{ path('admin') }}"><i class="material-icons">build</i>&nbsp;Administration</a><i class="material-icons">chevron_right</i>
<a href="{{ path('admin_event_index') }}"><i class="material-icons">event</i>&nbsp;Événements</a><i class="material-icons">chevron_right</i>
{% if event %}
    <i class="material-icons">event</i>&nbsp;{{ event.title }}<i class="material-icons">chevron_right</i>
{% endif %}
<i class="material-icons">list</i>&nbsp;Liste des procurations
{% endblock %}

{% block content %}
    <h4>Liste des procurations <small>({{ proxies | length }})</small></h4>

    {% if event %}
        {% include "admin/event/_partial/card.html.twig" with { event: event, only_header: true } %}
    {% endif %}

    {% if max_event_proxy_per_member > 0 %}
        <blockquote class="red-text">
            chaque membre peut porter au maximum <strong>{{ max_event_proxy_per_member }} procuration{% if max_event_proxy_per_member > 1 %}s{% endif %}</strong>
        </blockquote>
    {% endif %}
    {% if maximum_nb_of_beneficiaries_in_membership > 1 %}
        <blockquote class="red-text">
            si un membre a <strong>plusieurs</strong> bénéficiaires, c'est n'importe lequel des bénéficiaires qui peut porter la procuration
        </blockquote>
    {% endif %}

    <table class="responsive-table striped">
        <thead>
            <tr>
                {% if not event %}
                    <th>Evénement</th>
                {% endif %}
                <th>De</th>
                <th>Porté par</th>
                <th>Date</th>
                {% if is_granted("ROLE_SUPER_ADMIN") %}
                    <th>Actions</th>
                {% endif %}
            </tr>
        </thead>

        <tbody>
            {% for proxy in proxies %}
                <tr>
                    {% if not event %}
                        <td>
                            {% if proxy.event %}
                                {{ proxy.event.title }}
                            {% endif %}
                        </td>
                    {% endif %}
                    <td>
                        {% if not proxy.giver %}
                            Pour le premier volontaire
                        {% else %}
                            {{ proxy.giver.memberNumberWithBeneficiaryListString }}
                        {% endif %}
                    </td>
                    <td>
                        {% if not proxy.owner %}
                            porté par le premier volontaire
                        {% else %}
                            {{ proxy.owner.membership.memberNumberWithBeneficiaryListString }}
                        {% endif %}
                    </td>
                    <td title="{{ proxy.createdAt | date_fr_with_time }}">
                        {{ proxy.createdAt | date_fr }}
                    </td>
                    {% if is_granted("ROLE_SUPER_ADMIN") %}
                        <td>
                            <a href="{{ path("admin_event_proxy_edit",{'id':proxy.event.id, 'proxy':proxy.id}) }}"><i class="material-icons">edit</i>Editer</a>
                        </td>
                    {% endif %}
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}
